
namespace boca_sample
{
    using System;
    using System.IO;
    using System.IO.Ports;
    using System.Threading;
    using System.Net.Sockets;
    using System.Drawing;
    using System.Drawing.Printing;
    using System.Windows.Forms;
    using System.Runtime.InteropServices;

    partial class FrmBoca
    {
        public const byte XON = 17;  //Hex value => 0x11
        public const int FGL = 1;
        public const int PCL = 0;
        public static int formnum;
        public static int BOCA_VID = 2627;          //Boca Systems Vendor ID = 0x0a43
        public static int FGL46_PID = 513;          //Boca Systems FGL46 Product ID = 0x0201
        public static int HP46_PID = 514;           //Boca Systems FGL46 Product ID = 0x0202
        public static int FGL44_PID = 257;          //Boca Systems FGL46 Product ID = 0x0101
        public static int HP44_PID = 258;           //Boca Systems FGL46 Product ID = 0x0102
        public static char BACKSLASH = (char)92;    //create the character backslash

        //this flag will be used to signal the transmit routine to use interface communication protocols
        //or printer driver communication protocols contained in class RawPrinterHelper.
        public static bool driver_flag = false;            //default to interface. Set true when user picks printer drivers
        public static bool reset_flag = false;              //6.0.0.0 flag used to indicate the printer has reset so RW channels need to be closed
        public static int job_id = 0;                       //6.0.0.0 used when a printer driver is used
        public static PrintDialog pd;                      //printer driver dialog

        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            
            if (disposing && (components != null))
            {
                //shutdown any open port
                port_shutdown();
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        //return the name of the currently selected default printer.
        //if no printer installed return empty null terminated string
        public static string DefaultPrinterName()
        {
            PrintDialog pd1;                      //printer driver dialog

            string defname = "";
            pd1 = new PrintDialog();
            pd1.PrinterSettings = new PrinterSettings();
            defname = pd1.PrinterSettings.PrinterName;
            return (defname);
        }

        public void port_open()
        {
            int USB_printer_count = 0;
            int i;
            string s1 = "";
            string sn = "";
            DialogResult status;
            int bsucces = 0;        //6.0.0.0 
            //6.0.0.0 bool bsucces;

            //shutdown any open port
            port_shutdown();
            Current_Port = "";              //all ports shutdown so no current port

            //default to interface. Set true when user picks printer drivers
            driver_flag = false;

            serial_number.Text = "";
            IP_Address.Text = "";
            Txtready.BackColor = Color.White;
            Txtready.Text = "";

            //FrmSerial.Enabled = false;
            FrmUSB.Enabled = false;
            FrmEth.Enabled = false;

            //Txtinterface.Text = LstInterface.Text;
            //Current_Port_Name = LstInterface.Text;
            Txtinterface.Text = Current_Port_Name;
            label1.Text = "Current Port";

            //Set text color in message box to black
            lstResult.ForeColor = Color.Black;
            Clear_Display();
            FrmParallel.BackColor = background_default;
            FrmSerial.BackColor = background_default;
            FrmUSB.BackColor = background_default;
            FrmEth.BackColor = background_default;

            if ((Current_Port_Name == "COM1") || (Current_Port_Name == "COM2") || (Current_Port_Name == "COM3") || (Current_Port_Name == "COM4") || (Current_Port_Name == "COM5") || (Current_Port_Name == "COM6") || (Current_Port_Name == "COM7") || (Current_Port_Name == "COM8"))
            {
                Serial_Port.PortAccess fp = new Serial_Port.PortAccess(this);                           //7.0.0.0
            }

            switch (Current_Port_Name)
            {
                case "Printer Driver":

                    //Check Driver Mode Radio Button and set Drover Mode Integer    //7.0.0.0
                    if (DRMode3.Checked)
                        DRMode = 3;
                    else if (DRMode2.Checked)
                        DRMode = 2;
                    else
                        DRMode = 1;

                    //string port_name = "";
                    // Allow the user to select a printer.
                    pd = new PrintDialog();
                    pd.PrinterSettings = new PrinterSettings();
                    status = pd.ShowDialog(this);

                    if (status == DialogResult.OK)
                    {
                        Current_Port = "Driver";        //Using printer driver regardless of port
                        driver_flag = true;             //Using a driver not an interface
                        Txtinterface.Text = pd.PrinterSettings.PrinterName;
                        label1.Text = "Current Driver";
                        CmdProperties.Enabled = true;                           //7.0.0.0                                                  //8.0.0.0 @mdh properties test
                        RawPrinterHelper fr = new RawPrinterHelper(this);

                        //Try to open both a write and read channel
                        bsucces = RawPrinterHelper.Open_Printer(pd.PrinterSettings.PrinterName);

                        //Success 2 indicates write and read access
                        if (bsucces == 2)
                        {
                            //double check read access by checking read handle.  If read access exists, start the read thread
                            if ((Current_Driver_Type == Boca_Spooler_Driver1) ||
                                (Current_Driver_Type == Boca_Spooler_Driver3) ||
                                (Current_Driver_Type == Boca_Standard_Driver1) ||
                                (RawPrinterHelper.Read_Printer_Handle.ToInt64() != 0))          //5.2.0.0
                            {
                                //@mdh test making this call here to start read thread and set up m_parent and boca_raw
                                checking_for_data = true;
                                if ((Current_Driver_Type == Boca_Spooler_Driver1) ||
                                    (Current_Driver_Type == Boca_Spooler_Driver3) ||
                                    (Current_Driver_Type == Boca_Standard_Driver1))             //5.2.0.0
                                {
                                    MonitorBox.Enabled = true;                                  //5.0.0.0
                                }
                                else
                                {
                                    if (MonYes.Checked == true)                                 //5.0.0.0
                                        MonNo.Checked = true;                                   //5.0.0.0
                                    MonitorBox.Enabled = false;                                 //5.0.0.0
                                }

                                RawPrinterHelper.start_stop_read_thread();                      //start read thread 
                                if (Current_Driver_Type == Boca_Spooler_Driver3)                //5.2.0.0
                                {
                                    Display_Text("Monitor communication has been established with network driver " + pd.PrinterSettings.PrinterName);
                                }
                                else
                                {
                                    if (DRMode == 2)                                            //7.0.0.0
                                    {
                                        Display_Text("Direct Bidirectional communication has been established with driver " + pd.PrinterSettings.PrinterName);
                                        CmdPDF.Enabled = false;                                 //7.0.0.0
                                    }
                                    else
                                    {
                                        Display_Text("Spooled Bidirectional communication has been established with driver " + pd.PrinterSettings.PrinterName);
                                        CmdPDF.Enabled = true;                                  //7.0.0.0        
                                    }
                                }
                            }
                            else
                            {
                                //Disable Status command buttons
                                CmdS1.Enabled = false;                                          //5.1.0.0
                                CmdS2.Enabled = false;                                          //5.1.0.0
                                Display_Text("Unidirectional communication has been established with driver " + pd.PrinterSettings.PrinterName);
                                CmdPDF.Enabled = true;                                          //7.0.0.0
                            }
                        }
                        else
                        {
                            //success 1 indicates write only access
                            if (bsucces == 1)
                            {
                                //Enable Status command buttons
                                CmdS1.Enabled = false;                                          //5.1.0.0
                                CmdS2.Enabled = false;                                          //5.1.0.0
                                Display_Text("Unidirectional communication has been established with driver " + pd.PrinterSettings.PrinterName);
                                CmdPDF.Enabled = true;                                          //7.0.0.0
                            }
                            else
                            {
                                string filename;                                                //3.0.0.0
                                char backslash = (char)92;                                      //3.0.0.0
                                filename = backslash + "comm.wav";                              //3.0.0.0
                                say(filename);                                                  //3.0.0.0

                                //1.1.2.1 success 3 indicates printer offline
                                if (bsucces == 3)
                                {
                                    show_printer_offline();
                                }
                                else   //success 0 indicates no access
                                {
                                    Display_Text("Communication Failure - No communication has been established with network driver " + pd.PrinterSettings.PrinterName);
                                    Current_Port = "";
                                }
                            }
                        }
                        boca_sample.FrmBoca.connection_type = Current_Driver_Type;
                    }
                    else
                    {
                        MessageBox.Show("No Driver selected");
                        boca_sample.FrmBoca.connection_type = "";
                    }

                    break;

                case "USB - HID Mode":

                    FrmUSB.BackColor = active_frame_color;
                    Current_Port = "HID";

                    //initialize read thread loop control
                    boca_sample.FrmBoca.checking_for_data = true;

                    //@mdh test making this call here to start read thread and set up m_parent and boca_HID
                    USBHID.HIDDevice fusb = new USBHID.HIDDevice(this);

                    USB_printer_count = scanner();      //scan for all Boca Systems HID mode printers
                    //automatically pick from the printer table the first one found
                    if (USB_printer_count > 0)
                    {
                        //retrieve serial number from table
                        sn = Printer_Table[0].SerialNumber.ToString();
                        //Pass SN to Find_HIDs to select a specific printer
                        i = USBHID.HIDDevice.Find_HIDs(Printer_Table[0].SerialNumber);
                        //if one printer is selected
                        if (i == 1)
                        {

                            //display SN and printer ready message
                            serial_number.Enabled = true;
                            //Enable USB frame and buttons within
                            FrmUSB.Enabled = true;
                            //if there is more than 1 USB printer in HID mode enable Pick Printer button
                            if (USB_printer_count > 1)
                                CmdPick.Enabled = true;
                            else
                                CmdPick.Enabled = false;        //only one, so button not needed

                            s1 = "HID Printer with serial number " + sn + " is currently selected.";
                            printer_ready();
                            Display_SN(sn);
                            boca_sample.FrmBoca.connection_type = "HID Direct";   //6.0.0.0

                        }  //display not found message
                        else
                        {
                            port_shutdown();                        //shut down port read thread
                            s1 = "HID Printer with serial number " + sn + " was not found.";
                            printer_not_found();
                            boca_sample.FrmBoca.connection_type = "";   //6.0.0.0
                        }
                        Display_Text(s1);

                    }
                    break;

                case "ETHERNET":

                    FrmEth.BackColor = active_frame_color;
                    Current_Port = "IP";
                    IP_Address.Text = "10.0.0.192";
                    FrmEth.Enabled = true;
                    Display_Text("To connect through an Ethernet port, please enter the printer IP address as shown, WITHOUT leading zeros.");
                    Display_Text("If you are unsure of the IP Address assigned in the printer, press the TEST button on the printer");
                    Display_Text("to generate a printer test ticket.  The printer's current IP Address will be displayed on the ticket.");
                    Display_Text("Once entered, click 'Ping' to test the IP address.  Click 'Connect' to establish communication with the printer.");
                    boca_sample.FrmBoca.connection_type = "Ethernet Direct";   //6.0.0.0
                    break;

                case "LPT1":
                case "LPT2":
                case "LPT3":
                case "LPT4":
                    FrmParallel.BackColor = active_frame_color;
                    Current_Port = "PAR";
                    FrmParallel.Enabled = true;
                    boca_sample.FrmBoca.connection_type = "Parallel Direct";   //6.0.0.0
                    break;

                case "COM1":
                case "COM2":
                case "COM3":
                case "COM4":
                case "COM5":
                case "COM6":
                case "COM7":
                case "COM8":
                    FrmSerial.BackColor = active_frame_color;
                    Current_Port = "SER";
                    Open_Serial_Port();
                    FrmSerial.Enabled = true;
                    boca_sample.FrmBoca.connection_type = "Serial Direct";   //6.0.0.0
                    break;


                default:
                    Current_Port = "";
                    Txtinterface.Text = "";
                    boca_sample.FrmBoca.connection_type = "";   //6.0.0.0
                    break;
            }

            TxtStatus.Text = boca_sample.FrmBoca.connection_type;

            if (Current_Port == "")
            {
                Initial_State();            //no port selected
            }
            else
            {
                if (Current_Port == "Driver")
                {
                    printer_ready();
                    Enable_General(true);
                }

                if (Current_Port == "PAR")
                {
                    printer_ready();
                    Enable_General(true);
                    Enable_Serial(false);
                    FrmUSB.Enabled = false;
                    FrmEth.Enabled = false;
                    FrmStatus.Enabled = true;
                    CmdRead.Enabled = true;

                }
                if (Current_Port == "IP")
                {
                    Enable_General(false);
                    Enable_Serial(false);
                    FrmEth.Enabled = true;
                    FrmUSB.Enabled = false;
                    OptNo.Checked = true;
                    wait_status = false;
                    FrmStatus.Enabled = false;
                }
                if ((Current_Port == "HID") && (USB_printer_count > 0))
                {
                    Enable_General(true);
                    Enable_Serial(false);
                    FrmUSB.Enabled = true;
                    FrmEth.Enabled = false;
                    OptNo.Checked = true;
                    wait_status = false;
                    FrmStatus.Enabled = false;
                    CmdRead.Enabled = false;

                }
                if (Current_Port == "SER")
                {
                    Enable_General(true);
                    Enable_Serial(true);
                    FrmUSB.Enabled = false;
                    FrmEth.Enabled = false;
                    OptNo.Checked = true;
                    wait_status = false;
                    FrmStatus.Enabled = false;
                    CmdRead.Enabled = false;
                    //@mdh test making this call here to set up m_parent and boca_com
                    //7.0.0.0 Serial_Port.PortAccess fp = new Serial_Port.PortAccess(this);
                    Serial_Port.PortAccess.light_init();

                }

            }
        }

        public void Initial_State()
        {
            //general
            LstInterface.Text = "Select A Printer";
            //6.0.0.0 TxtStatus.Text = "";
            Txtinterface.Text = "";
            Txtready.Text = "";
            serial_number.Text = "";
            IP_Address.Text = "";
            TxtBaud.Text = "";
            TxtBits.Text = "";
            TxtParity.Text = "";

            //CmdHelp.Enabled = true;         //Enable Help Button
            LstInterface.Enabled = true;    //Enable Interface drop down list enabled
            Enable_General(false);          //Disable common controls
            FrmSerial.Enabled = true;       //Enable Serial Port group frame for BT  //7.0.0.0
            
            NegotiateBox.Enabled = true;    //need this on before selecting
            AutoNo.Enabled = true;          //7.0.0.0
            AutoYes.Enabled = true;         //7.0.0.0


            //Ethernet
            FrmEth.Enabled = false;         //Disable Ethernet group frame

            //Parallel
            FrmParallel.Enabled = false;

            //Sound
            FrmSound.Enabled = true;        //Enable Sound group frame

            //Bi-directional Status
            FrmStatus.Enabled = false;      //Disable Wait for status group frame

            //USB
            FrmUSB.Enabled = false;         //Disable USB group frame

            FrmParallel.BackColor = background_default;
            FrmSerial.BackColor = background_default;
            FrmUSB.BackColor = background_default;
            FrmEth.BackColor = background_default;

            //Serial port extras
            Enable_Serial(false);           //Disable Serial Port Extras

            //3.0.0.0 - commenting this out so user can see any previous messages 
            //Clear_Display();
            lstResult.ForeColor = Color.Red;
            Display_Text("");
            Display_Text("This tool is intended to demonstrate raw text bi-directional communication with a Boca Systems printer.");
            Display_Text("");
            Display_Text("Communication can take place through a Boca Systems printer driver or at the interface level via a serial, parallel, ");
            Display_Text("Ethernet or USB/HID port without a printer driver installed.");
            Display_Text("");
            Display_Text("Choose the printer driver or interface based upon how the printer is currently installed.");
            Display_Text("");
            Display_Text("To select a printer start by choosing an installation style in the top/left corner of this application.");
            Display_Text("Next pick a printer driver or the port desired.");
            Display_Text("");

        }

        private void Enable_General(bool status)
        {
            FrmOperation.Enabled = status;              //Enable/Disable all printer operation buttons
            //FrmConfiguration.Enabled = status;          //Enable/Disable all printer configuration buttons
        }

        private void Enable_Serial(bool status)
        {
            //Do Not Display Serial Port Objects
            TxtBaud.Enabled = status;
            TxtBits.Enabled = status;
            TxtParity.Enabled = status;
            LblSer.Enabled = status;
            LblCTS.Enabled = status;
            LblDTR.Enabled = status;
            LblTD.Enabled = status;
            LblRD.Enabled = status;
            LblDSR.Enabled = status;
            LblCD.Enabled = status;
            LblRTS.Enabled = status;
            ShpCTS.Visible = status;
            ShpDTR.Visible = status;
            ShpTD.Visible = status;
            ShpRD.Visible = status;
            ShpDSR.Visible = status;
            ShpCD.Visible = status;
            ShpRTS.Visible = status;
        }

        public void Open_Serial_Port()
        {
            bool status = false;

            if (BT_Status)                             //8.2.0.0 if we are in BT mode, then the user needs to select a serial port baud rate
                Display_Text("To connect to Bluetooth through serial port " + Txtinterface.Text + " it is necessary to establish communication using the Bluetooth baud rate of the printer.");
            else
                Display_Text("To connect through serial port " + Txtinterface.Text + " it is necessary to establish communication using the baud rate of the printer.");

            //Establish communication on serial port of choice.  Start by opening the port and trying to determine
            //the printers communication rates Baud, Parity & # of databits.  Always 1 stop bit.
            //If this is a known PCL,unicode printer, no autonegotiate
            if (AutoYes.Checked)
            {
                Display_Text("This application will attempt to determine that automatically.  If unable to establish communication automatically");
                Display_Text("you will be prompted for the information.");
                status = Serial_Port.PortAccess.Find_Baud(Txtinterface.Text);
            }

            if (status == true)
            {
                //Display communication information on FrmBoca
                TxtBaud.Text = Serial_Port.PortAccess.baud.ToString();
                TxtParity.Text = Serial_Port.PortAccess.parity.ToString();
                TxtBits.Text = Serial_Port.PortAccess.databits.ToString();
                printer_ready();

            }
            else
            {
                port_shutdown();                        //shut down port read thread
                //Display_Text("Serial port communication failed");
                //printer_not_found();
                if (BT_Status)                             //8.2.0.0 if we are in BT mode, open port
                {
                    Current_Baud = "115200";        //8.2.0.0 really using 460800
                    Current_Parity = "None";
                    Current_Bits = "8";
                    status = Serial_Port.PortAccess.Open_Serial(Current_Port_Name, Current_Baud, Current_Parity, Current_Bits);     //8.2.0.0
                    //display_baud_rate();                                                                                            //8.2.0.0
                }
                else
                {
                    FrmComm fcm = new FrmComm(this);        //get serial port communication info from user
                    fcm.Show();
                }
            }
        }

        public void display_baud_rate()
        {
            //Display communication information on FrmBoca
            if (BT_Status)                              //8.2.0.0
            {
                TxtBaud.Text = "460800";
                TxtParity.Text = "None";
                TxtBits.Text = "8";
            }
            else
            {
                TxtBaud.Text = Serial_Port.PortAccess.baud.ToString();
                TxtParity.Text = Serial_Port.PortAccess.parity.ToString();
                TxtBits.Text = Serial_Port.PortAccess.databits.ToString();
            }
            Display_Text("Successfully opened " + Current_Port_Name + " with rate " + TxtBaud.Text);
            Current_Baud = TxtBaud.Text;
            Current_Bits = TxtBits.Text;
            Current_Parity = TxtParity.Text;
            Serial_Port.PortAccess.light_init();
            printer_ready();
        }

        public void change_baud_rate()
        {

            //Display communication information on FrmBoca
            TxtBaud.Text = Serial_Port.PortAccess.baud.ToString();
            TxtParity.Text = Serial_Port.PortAccess.parity.ToString();
            TxtBits.Text = Serial_Port.PortAccess.databits.ToString();
            Serial_Port.PortAccess.light_init();
            printer_ready();

        }

        //Clear the text from the message box
        public void Clear_Display()
        {
            //6.0.0.0 this.TxtStatus.Text = "";        //Clear Status response field
            //clear main message screen
            lstResult.Items.Clear();
            TxtStat.Text = "";                          //7.1.0.0 clear RFID status field
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FrmBoca));
            this.LstInterface = new System.Windows.Forms.ComboBox();
            this.contextMenuHelp = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.helpToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.CmdClear = new System.Windows.Forms.Button();
            this.Txtinterface = new System.Windows.Forms.TextBox();
            this.Txtready = new System.Windows.Forms.TextBox();
            this.TxtStatus = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.label3 = new System.Windows.Forms.Label();
            this.FrmSound = new System.Windows.Forms.GroupBox();
            this.OptOff = new System.Windows.Forms.RadioButton();
            this.OptOn = new System.Windows.Forms.RadioButton();
            this.FrmStatus = new System.Windows.Forms.GroupBox();
            this.OptNo = new System.Windows.Forms.RadioButton();
            this.OptYes = new System.Windows.Forms.RadioButton();
            this.FrmUSB = new System.Windows.Forms.GroupBox();
            this.CmdTime = new System.Windows.Forms.Button();
            this.CmdPick = new System.Windows.Forms.Button();
            this.CmdStatus = new System.Windows.Forms.Button();
            this.CmdScan = new System.Windows.Forms.Button();
            this.lblsn = new System.Windows.Forms.Label();
            this.serial_number = new System.Windows.Forms.TextBox();
            this.FrmEth = new System.Windows.Forms.GroupBox();
            this.CmdConnect = new System.Windows.Forms.Button();
            this.CmdPing = new System.Windows.Forms.Button();
            this.label4 = new System.Windows.Forms.Label();
            this.IP_Address = new System.Windows.Forms.TextBox();
            this.FrmOperation = new System.Windows.Forms.GroupBox();
            this.CmdProperties = new System.Windows.Forms.Button();
            this.CmdS2 = new System.Windows.Forms.Button();
            this.CmdS1 = new System.Windows.Forms.Button();
            this.CmdPDF = new System.Windows.Forms.Button();
            this.CmdPath = new System.Windows.Forms.Button();
            this.Cmd_Logo_Test = new System.Windows.Forms.Button();
            this.CmdOther = new System.Windows.Forms.Button();
            this.CmdTTF = new System.Windows.Forms.Button();
            this.CmdGraph = new System.Windows.Forms.Button();
            this.CmdClrDls = new System.Windows.Forms.Button();
            this.CmdValue = new System.Windows.Forms.Button();
            this.CmdText = new System.Windows.Forms.Button();
            this.CmdPCLTT = new System.Windows.Forms.Button();
            this.CmdFGLTT = new System.Windows.Forms.Button();
            this.CmdPCLFF = new System.Windows.Forms.Button();
            this.CmdFGLFF = new System.Windows.Forms.Button();
            this.CmdRead = new System.Windows.Forms.Button();
            this.FrmMessage = new System.Windows.Forms.GroupBox();
            this.lstResult = new System.Windows.Forms.ListBox();
            this.FrmParallel = new System.Windows.Forms.GroupBox();
            this.FrmLinks = new System.Windows.Forms.GroupBox();
            this.LnkBoca1 = new System.Windows.Forms.LinkLabel();
            this.LnkBoca3 = new System.Windows.Forms.LinkLabel();
            this.LnkBoca2 = new System.Windows.Forms.LinkLabel();
            this.Error = new System.Windows.Forms.TextBox();
            this.label11 = new System.Windows.Forms.Label();
            this.Paused = new System.Windows.Forms.TextBox();
            this.label10 = new System.Windows.Forms.Label();
            this.MonitorBox = new System.Windows.Forms.GroupBox();
            this.MonNo = new System.Windows.Forms.RadioButton();
            this.MonYes = new System.Windows.Forms.RadioButton();
            this.Printing = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.Offline = new System.Windows.Forms.TextBox();
            this.label8 = new System.Windows.Forms.Label();
            this.Out = new System.Windows.Forms.TextBox();
            this.label7 = new System.Windows.Forms.Label();
            this.Jam = new System.Windows.Forms.TextBox();
            this.label6 = new System.Windows.Forms.Label();
            this.label5 = new System.Windows.Forms.Label();
            this.Ready = new System.Windows.Forms.TextBox();
            this.number_of_tickets = new System.Windows.Forms.TextBox();
            this.label12 = new System.Windows.Forms.Label();
            this.Info2Status = new System.Windows.Forms.TextBox();
            this.label13 = new System.Windows.Forms.Label();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.Jam2 = new System.Windows.Forms.TextBox();
            this.Ready2 = new System.Windows.Forms.TextBox();
            this.label14 = new System.Windows.Forms.Label();
            this.label15 = new System.Windows.Forms.Label();
            this.label16 = new System.Windows.Forms.Label();
            this.Out2 = new System.Windows.Forms.TextBox();
            this.label17 = new System.Windows.Forms.Label();
            this.Offline2 = new System.Windows.Forms.TextBox();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.DRMode3 = new System.Windows.Forms.RadioButton();
            this.DRMode2 = new System.Windows.Forms.RadioButton();
            this.DRMode1 = new System.Windows.Forms.RadioButton();
            this.FrmSerial = new System.Windows.Forms.GroupBox();
            this.BTBox = new System.Windows.Forms.GroupBox();
            this.BTNo = new System.Windows.Forms.RadioButton();
            this.BTYes = new System.Windows.Forms.RadioButton();
            this.NegotiateBox = new System.Windows.Forms.GroupBox();
            this.AutoNo = new System.Windows.Forms.RadioButton();
            this.AutoYes = new System.Windows.Forms.RadioButton();
            this.TxtBits = new System.Windows.Forms.TextBox();
            this.TxtParity = new System.Windows.Forms.TextBox();
            this.TxtBaud = new System.Windows.Forms.TextBox();
            this.LblSer = new System.Windows.Forms.Label();
            this.ShpRTS = new System.Windows.Forms.TextBox();
            this.ShpCD = new System.Windows.Forms.TextBox();
            this.ShpRD = new System.Windows.Forms.TextBox();
            this.ShpTD = new System.Windows.Forms.TextBox();
            this.ShpDTR = new System.Windows.Forms.TextBox();
            this.ShpDSR = new System.Windows.Forms.TextBox();
            this.ShpCTS = new System.Windows.Forms.TextBox();
            this.LblRTS = new System.Windows.Forms.Label();
            this.LblCD = new System.Windows.Forms.Label();
            this.LblRD = new System.Windows.Forms.Label();
            this.LblDSR = new System.Windows.Forms.Label();
            this.LblDTR = new System.Windows.Forms.Label();
            this.LblTD = new System.Windows.Forms.Label();
            this.LblCTS = new System.Windows.Forms.Label();
            this.FrmRfid = new System.Windows.Forms.GroupBox();
            this.label18 = new System.Windows.Forms.Label();
            this.label19 = new System.Windows.Forms.Label();
            this.TxtStat = new System.Windows.Forms.TextBox();
            this.RFRead = new System.Windows.Forms.Button();
            this.RFWrite = new System.Windows.Forms.Button();
            this.TxtStBlk = new System.Windows.Forms.TextBox();
            this.OSText = new System.Windows.Forms.TextBox();
            this.CmdCopyToClipboard = new System.Windows.Forms.Button();
            this.contextMenuHelp.SuspendLayout();
            this.FrmSound.SuspendLayout();
            this.FrmStatus.SuspendLayout();
            this.FrmUSB.SuspendLayout();
            this.FrmEth.SuspendLayout();
            this.FrmOperation.SuspendLayout();
            this.FrmMessage.SuspendLayout();
            this.FrmParallel.SuspendLayout();
            this.FrmLinks.SuspendLayout();
            this.MonitorBox.SuspendLayout();
            this.groupBox1.SuspendLayout();
            this.groupBox2.SuspendLayout();
            this.groupBox3.SuspendLayout();
            this.FrmSerial.SuspendLayout();
            this.BTBox.SuspendLayout();
            this.NegotiateBox.SuspendLayout();
            this.FrmRfid.SuspendLayout();
            this.SuspendLayout();
            // 
            // LstInterface
            // 
            this.LstInterface.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LstInterface.FormattingEnabled = true;
            this.LstInterface.Items.AddRange(new object[] {
            "Printer Driver",
            "Printer Interface"});
            this.LstInterface.Location = new System.Drawing.Point(14, 16);
            this.LstInterface.Name = "LstInterface";
            this.LstInterface.Size = new System.Drawing.Size(174, 21);
            this.LstInterface.TabIndex = 0;
            this.LstInterface.Tag = "";
            this.LstInterface.Text = "Select A Printer";
            this.LstInterface.SelectedIndexChanged += new System.EventHandler(this.LstInterface_SelectedIndexChanged);
            // 
            // contextMenuHelp
            // 
            this.contextMenuHelp.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.helpToolStripMenuItem});
            this.contextMenuHelp.Name = "contextMenuHelp";
            this.contextMenuHelp.Size = new System.Drawing.Size(100, 26);
            this.contextMenuHelp.Text = "Help";
            // 
            // helpToolStripMenuItem
            // 
            this.helpToolStripMenuItem.Name = "helpToolStripMenuItem";
            this.helpToolStripMenuItem.Size = new System.Drawing.Size(99, 22);
            this.helpToolStripMenuItem.Text = "Help";
            // 
            // CmdClear
            // 
            this.CmdClear.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdClear.ContextMenuStrip = this.contextMenuHelp;
            this.CmdClear.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdClear.Location = new System.Drawing.Point(336, 258);
            this.CmdClear.Name = "CmdClear";
            this.CmdClear.Size = new System.Drawing.Size(140, 22);
            this.CmdClear.TabIndex = 5;
            this.CmdClear.Text = "Clear Messages";
            this.CmdClear.UseVisualStyleBackColor = false;
            this.CmdClear.Click += new System.EventHandler(this.CmdClear_Click);
            // 
            // Txtinterface
            // 
            this.Txtinterface.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Txtinterface.Location = new System.Drawing.Point(238, 14);
            this.Txtinterface.Name = "Txtinterface";
            this.Txtinterface.Size = new System.Drawing.Size(253, 23);
            this.Txtinterface.TabIndex = 6;
            this.Txtinterface.TabStop = false;
            this.Txtinterface.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // Txtready
            // 
            this.Txtready.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold);
            this.Txtready.Location = new System.Drawing.Point(758, 14);
            this.Txtready.Name = "Txtready";
            this.Txtready.Size = new System.Drawing.Size(169, 23);
            this.Txtready.TabIndex = 7;
            this.Txtready.TabStop = false;
            this.Txtready.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // TxtStatus
            // 
            this.TxtStatus.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold);
            this.TxtStatus.Location = new System.Drawing.Point(523, 14);
            this.TxtStatus.Name = "TxtStatus";
            this.TxtStatus.Size = new System.Drawing.Size(201, 23);
            this.TxtStatus.TabIndex = 8;
            this.TxtStatus.TabStop = false;
            this.TxtStatus.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label1.Location = new System.Drawing.Point(235, 0);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(116, 13);
            this.label1.TabIndex = 9;
            this.label1.Text = "Current Connection";
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label2.Location = new System.Drawing.Point(520, 0);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(103, 13);
            this.label2.TabIndex = 10;
            this.label2.Text = "Connection Type";
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label3.Location = new System.Drawing.Point(755, 1);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(78, 13);
            this.label3.TabIndex = 11;
            this.label3.Text = "Printer State";
            // 
            // FrmSound
            // 
            this.FrmSound.Controls.Add(this.OptOff);
            this.FrmSound.Controls.Add(this.OptOn);
            this.FrmSound.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmSound.Location = new System.Drawing.Point(30, 223);
            this.FrmSound.Name = "FrmSound";
            this.FrmSound.Size = new System.Drawing.Size(110, 30);
            this.FrmSound.TabIndex = 12;
            this.FrmSound.TabStop = false;
            this.FrmSound.Text = "Sound";
            // 
            // OptOff
            // 
            this.OptOff.AutoSize = true;
            this.OptOff.Checked = true;
            this.OptOff.Location = new System.Drawing.Point(54, 11);
            this.OptOff.Name = "OptOff";
            this.OptOff.Size = new System.Drawing.Size(42, 17);
            this.OptOff.TabIndex = 14;
            this.OptOff.TabStop = true;
            this.OptOff.Text = "Off";
            this.OptOff.UseVisualStyleBackColor = true;
            this.OptOff.CheckedChanged += new System.EventHandler(this.OptOff_CheckedChanged);
            // 
            // OptOn
            // 
            this.OptOn.AutoSize = true;
            this.OptOn.Location = new System.Drawing.Point(6, 11);
            this.OptOn.Name = "OptOn";
            this.OptOn.Size = new System.Drawing.Size(41, 17);
            this.OptOn.TabIndex = 14;
            this.OptOn.Text = "On";
            this.OptOn.UseVisualStyleBackColor = true;
            this.OptOn.CheckedChanged += new System.EventHandler(this.OptOn_CheckedChanged);
            // 
            // FrmStatus
            // 
            this.FrmStatus.Controls.Add(this.OptNo);
            this.FrmStatus.Controls.Add(this.OptYes);
            this.FrmStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmStatus.Location = new System.Drawing.Point(10, 50);
            this.FrmStatus.Name = "FrmStatus";
            this.FrmStatus.Size = new System.Drawing.Size(123, 30);
            this.FrmStatus.TabIndex = 13;
            this.FrmStatus.TabStop = false;
            this.FrmStatus.Text = "Wait For Status";
            // 
            // OptNo
            // 
            this.OptNo.AutoSize = true;
            this.OptNo.Checked = true;
            this.OptNo.Location = new System.Drawing.Point(65, 11);
            this.OptNo.Name = "OptNo";
            this.OptNo.Size = new System.Drawing.Size(41, 17);
            this.OptNo.TabIndex = 15;
            this.OptNo.TabStop = true;
            this.OptNo.Text = "No";
            this.OptNo.UseVisualStyleBackColor = true;
            this.OptNo.CheckedChanged += new System.EventHandler(this.OptNo_CheckedChanged);
            // 
            // OptYes
            // 
            this.OptYes.AutoSize = true;
            this.OptYes.Location = new System.Drawing.Point(8, 11);
            this.OptYes.Name = "OptYes";
            this.OptYes.Size = new System.Drawing.Size(46, 17);
            this.OptYes.TabIndex = 14;
            this.OptYes.Text = "Yes";
            this.OptYes.UseVisualStyleBackColor = true;
            this.OptYes.CheckedChanged += new System.EventHandler(this.OptYes_CheckedChanged);
            // 
            // FrmUSB
            // 
            this.FrmUSB.Controls.Add(this.CmdTime);
            this.FrmUSB.Controls.Add(this.CmdPick);
            this.FrmUSB.Controls.Add(this.CmdStatus);
            this.FrmUSB.Controls.Add(this.CmdScan);
            this.FrmUSB.Controls.Add(this.lblsn);
            this.FrmUSB.Controls.Add(this.serial_number);
            this.FrmUSB.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmUSB.Location = new System.Drawing.Point(595, 41);
            this.FrmUSB.Name = "FrmUSB";
            this.FrmUSB.Size = new System.Drawing.Size(157, 87);
            this.FrmUSB.TabIndex = 14;
            this.FrmUSB.TabStop = false;
            this.FrmUSB.Text = "USB/HID";
            // 
            // CmdTime
            // 
            this.CmdTime.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdTime.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CmdTime.Location = new System.Drawing.Point(81, 58);
            this.CmdTime.Name = "CmdTime";
            this.CmdTime.Size = new System.Drawing.Size(70, 22);
            this.CmdTime.TabIndex = 20;
            this.CmdTime.Text = "Timeout";
            this.CmdTime.UseVisualStyleBackColor = false;
            this.CmdTime.Click += new System.EventHandler(this.CmdTime_Click);
            // 
            // CmdPick
            // 
            this.CmdPick.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdPick.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CmdPick.Location = new System.Drawing.Point(81, 35);
            this.CmdPick.Name = "CmdPick";
            this.CmdPick.Size = new System.Drawing.Size(70, 22);
            this.CmdPick.TabIndex = 19;
            this.CmdPick.Text = "Pick";
            this.CmdPick.UseVisualStyleBackColor = false;
            this.CmdPick.Click += new System.EventHandler(this.CmdPick_Click);
            // 
            // CmdStatus
            // 
            this.CmdStatus.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CmdStatus.Location = new System.Drawing.Point(6, 59);
            this.CmdStatus.Name = "CmdStatus";
            this.CmdStatus.Size = new System.Drawing.Size(70, 22);
            this.CmdStatus.TabIndex = 18;
            this.CmdStatus.Text = "Status";
            this.CmdStatus.UseVisualStyleBackColor = false;
            this.CmdStatus.Click += new System.EventHandler(this.CmdStatus_Click);
            // 
            // CmdScan
            // 
            this.CmdScan.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdScan.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CmdScan.Location = new System.Drawing.Point(6, 35);
            this.CmdScan.Name = "CmdScan";
            this.CmdScan.Size = new System.Drawing.Size(70, 22);
            this.CmdScan.TabIndex = 17;
            this.CmdScan.Text = "Scan";
            this.CmdScan.UseVisualStyleBackColor = false;
            this.CmdScan.Click += new System.EventHandler(this.CmdScan_Click);
            // 
            // lblsn
            // 
            this.lblsn.AutoSize = true;
            this.lblsn.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lblsn.Location = new System.Drawing.Point(6, 17);
            this.lblsn.Name = "lblsn";
            this.lblsn.Size = new System.Drawing.Size(57, 12);
            this.lblsn.TabIndex = 16;
            this.lblsn.Text = "Printer SN";
            // 
            // serial_number
            // 
            this.serial_number.Enabled = false;
            this.serial_number.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold);
            this.serial_number.Location = new System.Drawing.Point(67, 10);
            this.serial_number.Name = "serial_number";
            this.serial_number.ReadOnly = true;
            this.serial_number.Size = new System.Drawing.Size(83, 23);
            this.serial_number.TabIndex = 16;
            this.serial_number.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // FrmEth
            // 
            this.FrmEth.Controls.Add(this.CmdConnect);
            this.FrmEth.Controls.Add(this.CmdPing);
            this.FrmEth.Controls.Add(this.label4);
            this.FrmEth.Controls.Add(this.IP_Address);
            this.FrmEth.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmEth.Location = new System.Drawing.Point(758, 41);
            this.FrmEth.Name = "FrmEth";
            this.FrmEth.Size = new System.Drawing.Size(169, 87);
            this.FrmEth.TabIndex = 15;
            this.FrmEth.TabStop = false;
            this.FrmEth.Text = "Ethernet";
            // 
            // CmdConnect
            // 
            this.CmdConnect.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdConnect.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CmdConnect.Location = new System.Drawing.Point(82, 58);
            this.CmdConnect.Name = "CmdConnect";
            this.CmdConnect.Size = new System.Drawing.Size(81, 22);
            this.CmdConnect.TabIndex = 22;
            this.CmdConnect.Text = "Connect";
            this.CmdConnect.UseVisualStyleBackColor = false;
            this.CmdConnect.Click += new System.EventHandler(this.CmdConnect_Click);
            // 
            // CmdPing
            // 
            this.CmdPing.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdPing.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CmdPing.Location = new System.Drawing.Point(6, 58);
            this.CmdPing.Name = "CmdPing";
            this.CmdPing.Size = new System.Drawing.Size(70, 22);
            this.CmdPing.TabIndex = 21;
            this.CmdPing.Text = "Ping";
            this.CmdPing.UseVisualStyleBackColor = false;
            this.CmdPing.Click += new System.EventHandler(this.CmdPing_Click);
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label4.Location = new System.Drawing.Point(46, 15);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(61, 12);
            this.label4.TabIndex = 18;
            this.label4.Text = "IP Address";
            // 
            // IP_Address
            // 
            this.IP_Address.Font = new System.Drawing.Font("Comic Sans MS", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.IP_Address.Location = new System.Drawing.Point(6, 30);
            this.IP_Address.Name = "IP_Address";
            this.IP_Address.Size = new System.Drawing.Size(156, 28);
            this.IP_Address.TabIndex = 17;
            this.IP_Address.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // FrmOperation
            // 
            this.FrmOperation.Controls.Add(this.CmdProperties);
            this.FrmOperation.Controls.Add(this.CmdS2);
            this.FrmOperation.Controls.Add(this.CmdS1);
            this.FrmOperation.Controls.Add(this.CmdPDF);
            this.FrmOperation.Controls.Add(this.CmdPath);
            this.FrmOperation.Controls.Add(this.Cmd_Logo_Test);
            this.FrmOperation.Controls.Add(this.CmdOther);
            this.FrmOperation.Controls.Add(this.CmdTTF);
            this.FrmOperation.Controls.Add(this.CmdGraph);
            this.FrmOperation.Controls.Add(this.CmdClrDls);
            this.FrmOperation.Controls.Add(this.CmdValue);
            this.FrmOperation.Controls.Add(this.CmdText);
            this.FrmOperation.Controls.Add(this.CmdPCLTT);
            this.FrmOperation.Controls.Add(this.CmdFGLTT);
            this.FrmOperation.Controls.Add(this.CmdPCLFF);
            this.FrmOperation.Controls.Add(this.CmdFGLFF);
            this.FrmOperation.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmOperation.Location = new System.Drawing.Point(180, 135);
            this.FrmOperation.Name = "FrmOperation";
            this.FrmOperation.Size = new System.Drawing.Size(603, 120);
            this.FrmOperation.TabIndex = 45;
            this.FrmOperation.TabStop = false;
            this.FrmOperation.Text = "Printer Operation";
            // 
            // CmdProperties
            // 
            this.CmdProperties.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdProperties.Enabled = false;
            this.CmdProperties.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdProperties.Location = new System.Drawing.Point(10, 90);
            this.CmdProperties.Name = "CmdProperties";
            this.CmdProperties.Size = new System.Drawing.Size(140, 22);
            this.CmdProperties.TabIndex = 131;
            this.CmdProperties.Text = "Driver Preferences";
            this.CmdProperties.UseVisualStyleBackColor = false;
            this.CmdProperties.Click += new System.EventHandler(this.CmdProperties_Click);
            // 
            // CmdS2
            // 
            this.CmdS2.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdS2.ContextMenuStrip = this.contextMenuHelp;
            this.CmdS2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdS2.Location = new System.Drawing.Point(448, 90);
            this.CmdS2.Name = "CmdS2";
            this.CmdS2.Size = new System.Drawing.Size(140, 22);
            this.CmdS2.TabIndex = 116;
            this.CmdS2.Text = "<S2>";
            this.CmdS2.UseVisualStyleBackColor = false;
            this.CmdS2.Click += new System.EventHandler(this.CmdS2_Click);
            // 
            // CmdS1
            // 
            this.CmdS1.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdS1.ContextMenuStrip = this.contextMenuHelp;
            this.CmdS1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdS1.Location = new System.Drawing.Point(302, 90);
            this.CmdS1.Name = "CmdS1";
            this.CmdS1.Size = new System.Drawing.Size(140, 22);
            this.CmdS1.TabIndex = 117;
            this.CmdS1.Text = "<S1>";
            this.CmdS1.UseVisualStyleBackColor = false;
            this.CmdS1.Click += new System.EventHandler(this.CmdS1_Click);
            // 
            // CmdPDF
            // 
            this.CmdPDF.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdPDF.Enabled = false;
            this.CmdPDF.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdPDF.Location = new System.Drawing.Point(156, 90);
            this.CmdPDF.Name = "CmdPDF";
            this.CmdPDF.Size = new System.Drawing.Size(140, 22);
            this.CmdPDF.TabIndex = 130;
            this.CmdPDF.Text = "Print PDF";
            this.CmdPDF.UseVisualStyleBackColor = false;
            this.CmdPDF.Click += new System.EventHandler(this.CmdPDF_Click);
            // 
            // CmdPath
            // 
            this.CmdPath.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdPath.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdPath.Location = new System.Drawing.Point(448, 65);
            this.CmdPath.Name = "CmdPath";
            this.CmdPath.Size = new System.Drawing.Size(140, 25);
            this.CmdPath.TabIndex = 11;
            this.CmdPath.Text = "Set Path";
            this.CmdPath.UseVisualStyleBackColor = false;
            this.CmdPath.Click += new System.EventHandler(this.CmdPath_Click);
            // 
            // Cmd_Logo_Test
            // 
            this.Cmd_Logo_Test.BackColor = System.Drawing.SystemColors.ControlDark;
            this.Cmd_Logo_Test.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.Cmd_Logo_Test.Location = new System.Drawing.Point(156, 65);
            this.Cmd_Logo_Test.Name = "Cmd_Logo_Test";
            this.Cmd_Logo_Test.Size = new System.Drawing.Size(140, 25);
            this.Cmd_Logo_Test.TabIndex = 58;
            this.Cmd_Logo_Test.Text = "Download Logo Test";
            this.Cmd_Logo_Test.UseVisualStyleBackColor = false;
            this.Cmd_Logo_Test.Click += new System.EventHandler(this.Cmd_Logo_Test_Click);
            // 
            // CmdOther
            // 
            this.CmdOther.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdOther.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdOther.Location = new System.Drawing.Point(448, 40);
            this.CmdOther.Name = "CmdOther";
            this.CmdOther.Size = new System.Drawing.Size(140, 25);
            this.CmdOther.TabIndex = 9;
            this.CmdOther.Text = "Download Other Files";
            this.CmdOther.UseVisualStyleBackColor = false;
            this.CmdOther.Click += new System.EventHandler(this.CmdOther_Click);
            // 
            // CmdTTF
            // 
            this.CmdTTF.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdTTF.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdTTF.Location = new System.Drawing.Point(448, 15);
            this.CmdTTF.Name = "CmdTTF";
            this.CmdTTF.Size = new System.Drawing.Size(140, 25);
            this.CmdTTF.TabIndex = 8;
            this.CmdTTF.Text = "Download TTF Files";
            this.CmdTTF.UseVisualStyleBackColor = false;
            this.CmdTTF.Click += new System.EventHandler(this.CmdTTF_Click);
            // 
            // CmdGraph
            // 
            this.CmdGraph.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdGraph.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdGraph.Location = new System.Drawing.Point(302, 65);
            this.CmdGraph.Name = "CmdGraph";
            this.CmdGraph.Size = new System.Drawing.Size(140, 25);
            this.CmdGraph.TabIndex = 7;
            this.CmdGraph.Text = "Graphics";
            this.CmdGraph.UseVisualStyleBackColor = false;
            this.CmdGraph.Click += new System.EventHandler(this.CmdGraph_Click);
            // 
            // CmdClrDls
            // 
            this.CmdClrDls.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdClrDls.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdClrDls.Location = new System.Drawing.Point(302, 40);
            this.CmdClrDls.Name = "CmdClrDls";
            this.CmdClrDls.Size = new System.Drawing.Size(140, 25);
            this.CmdClrDls.TabIndex = 6;
            this.CmdClrDls.Text = "Clr Download Space";
            this.CmdClrDls.UseVisualStyleBackColor = false;
            this.CmdClrDls.Click += new System.EventHandler(this.CmdClrDls_Click);
            // 
            // CmdValue
            // 
            this.CmdValue.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdValue.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdValue.Location = new System.Drawing.Point(302, 15);
            this.CmdValue.Name = "CmdValue";
            this.CmdValue.Size = new System.Drawing.Size(140, 25);
            this.CmdValue.TabIndex = 5;
            this.CmdValue.Text = "Send ASCII Value";
            this.CmdValue.UseVisualStyleBackColor = false;
            this.CmdValue.Click += new System.EventHandler(this.CmdValue_Click);
            // 
            // CmdText
            // 
            this.CmdText.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdText.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdText.Location = new System.Drawing.Point(10, 65);
            this.CmdText.Name = "CmdText";
            this.CmdText.Size = new System.Drawing.Size(140, 25);
            this.CmdText.TabIndex = 4;
            this.CmdText.Text = "Send Text";
            this.CmdText.UseVisualStyleBackColor = false;
            this.CmdText.Click += new System.EventHandler(this.CmdText_Click);
            // 
            // CmdPCLTT
            // 
            this.CmdPCLTT.BackColor = System.Drawing.Color.Yellow;
            this.CmdPCLTT.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdPCLTT.Location = new System.Drawing.Point(156, 15);
            this.CmdPCLTT.Name = "CmdPCLTT";
            this.CmdPCLTT.Size = new System.Drawing.Size(140, 25);
            this.CmdPCLTT.TabIndex = 3;
            this.CmdPCLTT.Text = "PCL Test Ticket";
            this.CmdPCLTT.UseVisualStyleBackColor = false;
            this.CmdPCLTT.Click += new System.EventHandler(this.CmdPCLTT_Click);
            // 
            // CmdFGLTT
            // 
            this.CmdFGLTT.BackColor = System.Drawing.Color.Yellow;
            this.CmdFGLTT.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdFGLTT.Location = new System.Drawing.Point(11, 15);
            this.CmdFGLTT.Name = "CmdFGLTT";
            this.CmdFGLTT.Size = new System.Drawing.Size(140, 25);
            this.CmdFGLTT.TabIndex = 2;
            this.CmdFGLTT.Text = "FGL Test Ticket";
            this.CmdFGLTT.UseVisualStyleBackColor = false;
            this.CmdFGLTT.Click += new System.EventHandler(this.CmdFGLTT_Click);
            // 
            // CmdPCLFF
            // 
            this.CmdPCLFF.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdPCLFF.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdPCLFF.Location = new System.Drawing.Point(156, 40);
            this.CmdPCLFF.Name = "CmdPCLFF";
            this.CmdPCLFF.Size = new System.Drawing.Size(140, 25);
            this.CmdPCLFF.TabIndex = 1;
            this.CmdPCLFF.Text = "PCL Form Feed";
            this.CmdPCLFF.UseVisualStyleBackColor = false;
            // 
            // CmdFGLFF
            // 
            this.CmdFGLFF.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdFGLFF.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdFGLFF.Location = new System.Drawing.Point(11, 40);
            this.CmdFGLFF.Name = "CmdFGLFF";
            this.CmdFGLFF.Size = new System.Drawing.Size(140, 25);
            this.CmdFGLFF.TabIndex = 0;
            this.CmdFGLFF.Text = "FGL Form Feed";
            this.CmdFGLFF.UseVisualStyleBackColor = false;
            this.CmdFGLFF.Click += new System.EventHandler(this.CmdFGLFF_Click);
            // 
            // CmdRead
            // 
            this.CmdRead.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdRead.Location = new System.Drawing.Point(7, 19);
            this.CmdRead.Name = "CmdRead";
            this.CmdRead.Size = new System.Drawing.Size(126, 25);
            this.CmdRead.TabIndex = 10;
            this.CmdRead.Text = "Read Status";
            this.CmdRead.UseVisualStyleBackColor = false;
            this.CmdRead.Click += new System.EventHandler(this.CmdRead_Click);
            // 
            // FrmMessage
            // 
            this.FrmMessage.Controls.Add(this.lstResult);
            this.FrmMessage.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmMessage.Location = new System.Drawing.Point(12, 280);
            this.FrmMessage.Name = "FrmMessage";
            this.FrmMessage.Size = new System.Drawing.Size(921, 337);
            this.FrmMessage.TabIndex = 48;
            this.FrmMessage.TabStop = false;
            this.FrmMessage.Text = "Messages";
            // 
            // lstResult
            // 
            this.lstResult.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lstResult.FormattingEnabled = true;
            this.lstResult.ItemHeight = 15;
            this.lstResult.Location = new System.Drawing.Point(6, 13);
            this.lstResult.Name = "lstResult";
            this.lstResult.Size = new System.Drawing.Size(909, 319);
            this.lstResult.TabIndex = 40;
            // 
            // FrmParallel
            // 
            this.FrmParallel.BackColor = System.Drawing.Color.LightSteelBlue;
            this.FrmParallel.Controls.Add(this.FrmStatus);
            this.FrmParallel.Controls.Add(this.CmdRead);
            this.FrmParallel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmParallel.Location = new System.Drawing.Point(450, 41);
            this.FrmParallel.Name = "FrmParallel";
            this.FrmParallel.Size = new System.Drawing.Size(139, 87);
            this.FrmParallel.TabIndex = 57;
            this.FrmParallel.TabStop = false;
            this.FrmParallel.Text = "Parallel";
            // 
            // FrmLinks
            // 
            this.FrmLinks.Controls.Add(this.LnkBoca1);
            this.FrmLinks.Controls.Add(this.LnkBoca3);
            this.FrmLinks.Controls.Add(this.LnkBoca2);
            this.FrmLinks.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmLinks.Location = new System.Drawing.Point(12, 688);
            this.FrmLinks.Name = "FrmLinks";
            this.FrmLinks.Size = new System.Drawing.Size(921, 45);
            this.FrmLinks.TabIndex = 61;
            this.FrmLinks.TabStop = false;
            this.FrmLinks.Text = "Important Links";
            // 
            // LnkBoca1
            // 
            this.LnkBoca1.AutoSize = true;
            this.LnkBoca1.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LnkBoca1.Location = new System.Drawing.Point(8, 16);
            this.LnkBoca1.Name = "LnkBoca1";
            this.LnkBoca1.Size = new System.Drawing.Size(201, 20);
            this.LnkBoca1.TabIndex = 49;
            this.LnkBoca1.TabStop = true;
            this.LnkBoca1.Text = "Boca Systems Web Site";
            this.LnkBoca1.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.LnkBoca1_LinkClicked);
            // 
            // LnkBoca3
            // 
            this.LnkBoca3.AutoSize = true;
            this.LnkBoca3.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LnkBoca3.Location = new System.Drawing.Point(349, 16);
            this.LnkBoca3.Name = "LnkBoca3";
            this.LnkBoca3.Size = new System.Drawing.Size(258, 20);
            this.LnkBoca3.TabIndex = 59;
            this.LnkBoca3.TabStop = true;
            this.LnkBoca3.Text = "Current FGL Programing Guide";
            this.LnkBoca3.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.LnkBoca3_LinkClicked);
            // 
            // LnkBoca2
            // 
            this.LnkBoca2.AutoSize = true;
            this.LnkBoca2.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LnkBoca2.Location = new System.Drawing.Point(710, 16);
            this.LnkBoca2.Name = "LnkBoca2";
            this.LnkBoca2.Size = new System.Drawing.Size(205, 20);
            this.LnkBoca2.TabIndex = 50;
            this.LnkBoca2.TabStop = true;
            this.LnkBoca2.Text = "OnlineTechnical Support";
            this.LnkBoca2.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.LnkBoca2_LinkClicked);
            // 
            // Error
            // 
            this.Error.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Error.Location = new System.Drawing.Point(988, 672);
            this.Error.Name = "Error";
            this.Error.Size = new System.Drawing.Size(49, 24);
            this.Error.TabIndex = 107;
            this.Error.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.Error.Visible = false;
            // 
            // label11
            // 
            this.label11.AutoSize = true;
            this.label11.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label11.Location = new System.Drawing.Point(993, 657);
            this.label11.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(40, 16);
            this.label11.TabIndex = 106;
            this.label11.Text = "Error";
            this.label11.Visible = false;
            // 
            // Paused
            // 
            this.Paused.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Paused.Location = new System.Drawing.Point(983, 629);
            this.Paused.Name = "Paused";
            this.Paused.Size = new System.Drawing.Size(49, 24);
            this.Paused.TabIndex = 105;
            this.Paused.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.Paused.Visible = false;
            // 
            // label10
            // 
            this.label10.AutoSize = true;
            this.label10.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label10.Location = new System.Drawing.Point(985, 614);
            this.label10.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(47, 16);
            this.label10.TabIndex = 104;
            this.label10.Text = "Paused";
            this.label10.Visible = false;
            // 
            // MonitorBox
            // 
            this.MonitorBox.Controls.Add(this.MonNo);
            this.MonitorBox.Controls.Add(this.MonYes);
            this.MonitorBox.Enabled = false;
            this.MonitorBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.MonitorBox.Location = new System.Drawing.Point(402, 622);
            this.MonitorBox.Name = "MonitorBox";
            this.MonitorBox.Size = new System.Drawing.Size(169, 40);
            this.MonitorBox.TabIndex = 103;
            this.MonitorBox.TabStop = false;
            this.MonitorBox.Text = "Monitor System Status";
            // 
            // MonNo
            // 
            this.MonNo.AutoSize = true;
            this.MonNo.Checked = true;
            this.MonNo.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.MonNo.Location = new System.Drawing.Point(115, 14);
            this.MonNo.Name = "MonNo";
            this.MonNo.Size = new System.Drawing.Size(41, 20);
            this.MonNo.TabIndex = 15;
            this.MonNo.TabStop = true;
            this.MonNo.Text = "No";
            this.MonNo.UseVisualStyleBackColor = true;
            this.MonNo.CheckedChanged += new System.EventHandler(this.MonNo_CheckedChanged);
            // 
            // MonYes
            // 
            this.MonYes.AutoSize = true;
            this.MonYes.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.MonYes.Location = new System.Drawing.Point(27, 16);
            this.MonYes.Name = "MonYes";
            this.MonYes.Size = new System.Drawing.Size(44, 20);
            this.MonYes.TabIndex = 14;
            this.MonYes.Text = "Yes";
            this.MonYes.UseVisualStyleBackColor = true;
            this.MonYes.CheckedChanged += new System.EventHandler(this.MonYes_CheckedChanged);
            // 
            // Printing
            // 
            this.Printing.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Printing.Location = new System.Drawing.Point(981, 588);
            this.Printing.Name = "Printing";
            this.Printing.Size = new System.Drawing.Size(49, 24);
            this.Printing.TabIndex = 102;
            this.Printing.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.Printing.Visible = false;
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label9.Location = new System.Drawing.Point(980, 573);
            this.label9.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(50, 16);
            this.label9.TabIndex = 101;
            this.label9.Text = "Printing";
            this.label9.Visible = false;
            // 
            // Offline
            // 
            this.Offline.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Offline.Location = new System.Drawing.Point(197, 29);
            this.Offline.Name = "Offline";
            this.Offline.Size = new System.Drawing.Size(49, 24);
            this.Offline.TabIndex = 100;
            this.Offline.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label8.Location = new System.Drawing.Point(197, 14);
            this.label8.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(49, 16);
            this.label8.TabIndex = 99;
            this.label8.Text = "Offline";
            // 
            // Out
            // 
            this.Out.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Out.Location = new System.Drawing.Point(134, 29);
            this.Out.Name = "Out";
            this.Out.Size = new System.Drawing.Size(49, 24);
            this.Out.TabIndex = 98;
            this.Out.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label7.Location = new System.Drawing.Point(113, 14);
            this.label7.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(84, 16);
            this.label7.TabIndex = 97;
            this.label7.Text = "Out of Stock";
            // 
            // Jam
            // 
            this.Jam.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Jam.Location = new System.Drawing.Point(69, 29);
            this.Jam.Name = "Jam";
            this.Jam.Size = new System.Drawing.Size(49, 24);
            this.Jam.TabIndex = 96;
            this.Jam.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label6.Location = new System.Drawing.Point(75, 14);
            this.label6.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(32, 16);
            this.label6.TabIndex = 95;
            this.label6.Text = "Jam";
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label5.Location = new System.Drawing.Point(15, 14);
            this.label5.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(44, 16);
            this.label5.TabIndex = 94;
            this.label5.Text = "Ready";
            // 
            // Ready
            // 
            this.Ready.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Ready.Location = new System.Drawing.Point(12, 29);
            this.Ready.Name = "Ready";
            this.Ready.Size = new System.Drawing.Size(49, 24);
            this.Ready.TabIndex = 93;
            this.Ready.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // number_of_tickets
            // 
            this.number_of_tickets.Location = new System.Drawing.Point(62, 180);
            this.number_of_tickets.Name = "number_of_tickets";
            this.number_of_tickets.Size = new System.Drawing.Size(52, 20);
            this.number_of_tickets.TabIndex = 109;
            this.number_of_tickets.Text = "1";
            this.number_of_tickets.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // label12
            // 
            this.label12.AutoSize = true;
            this.label12.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label12.Location = new System.Drawing.Point(30, 161);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(110, 16);
            this.label12.TabIndex = 108;
            this.label12.Text = "# Of Test Tickets";
            // 
            // Info2Status
            // 
            this.Info2Status.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Info2Status.Location = new System.Drawing.Point(984, 700);
            this.Info2Status.Name = "Info2Status";
            this.Info2Status.Size = new System.Drawing.Size(49, 24);
            this.Info2Status.TabIndex = 111;
            this.Info2Status.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.Info2Status.Visible = false;
            // 
            // label13
            // 
            this.label13.AutoSize = true;
            this.label13.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label13.Location = new System.Drawing.Point(967, 685);
            this.label13.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(89, 16);
            this.label13.TabIndex = 110;
            this.label13.Text = "Info 2 Status";
            this.label13.Visible = false;
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.Jam);
            this.groupBox1.Controls.Add(this.Ready);
            this.groupBox1.Controls.Add(this.label5);
            this.groupBox1.Controls.Add(this.label6);
            this.groupBox1.Controls.Add(this.label7);
            this.groupBox1.Controls.Add(this.Out);
            this.groupBox1.Controls.Add(this.label8);
            this.groupBox1.Controls.Add(this.Offline);
            this.groupBox1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox1.Location = new System.Drawing.Point(12, 623);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(262, 59);
            this.groupBox1.TabIndex = 112;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Printer Info 6 dwStatus";
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.Jam2);
            this.groupBox2.Controls.Add(this.Ready2);
            this.groupBox2.Controls.Add(this.label14);
            this.groupBox2.Controls.Add(this.label15);
            this.groupBox2.Controls.Add(this.label16);
            this.groupBox2.Controls.Add(this.Out2);
            this.groupBox2.Controls.Add(this.label17);
            this.groupBox2.Controls.Add(this.Offline2);
            this.groupBox2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox2.Location = new System.Drawing.Point(671, 623);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(262, 59);
            this.groupBox2.TabIndex = 113;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Printer Info 2 Status";
            // 
            // Jam2
            // 
            this.Jam2.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Jam2.Location = new System.Drawing.Point(63, 29);
            this.Jam2.Name = "Jam2";
            this.Jam2.Size = new System.Drawing.Size(49, 24);
            this.Jam2.TabIndex = 104;
            this.Jam2.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // Ready2
            // 
            this.Ready2.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Ready2.Location = new System.Drawing.Point(6, 29);
            this.Ready2.Name = "Ready2";
            this.Ready2.Size = new System.Drawing.Size(49, 24);
            this.Ready2.TabIndex = 101;
            this.Ready2.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // label14
            // 
            this.label14.AutoSize = true;
            this.label14.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label14.Location = new System.Drawing.Point(9, 14);
            this.label14.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(44, 16);
            this.label14.TabIndex = 102;
            this.label14.Text = "Ready";
            // 
            // label15
            // 
            this.label15.AutoSize = true;
            this.label15.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label15.Location = new System.Drawing.Point(69, 14);
            this.label15.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(32, 16);
            this.label15.TabIndex = 103;
            this.label15.Text = "Jam";
            // 
            // label16
            // 
            this.label16.AutoSize = true;
            this.label16.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label16.Location = new System.Drawing.Point(107, 14);
            this.label16.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(84, 16);
            this.label16.TabIndex = 105;
            this.label16.Text = "Out of Stock";
            // 
            // Out2
            // 
            this.Out2.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Out2.Location = new System.Drawing.Point(128, 29);
            this.Out2.Name = "Out2";
            this.Out2.Size = new System.Drawing.Size(49, 24);
            this.Out2.TabIndex = 106;
            this.Out2.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // label17
            // 
            this.label17.AutoSize = true;
            this.label17.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label17.Location = new System.Drawing.Point(191, 14);
            this.label17.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
            this.label17.Name = "label17";
            this.label17.Size = new System.Drawing.Size(49, 16);
            this.label17.TabIndex = 107;
            this.label17.Text = "Offline";
            // 
            // Offline2
            // 
            this.Offline2.Font = new System.Drawing.Font("Comic Sans MS", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Offline2.Location = new System.Drawing.Point(191, 29);
            this.Offline2.Name = "Offline2";
            this.Offline2.Size = new System.Drawing.Size(49, 24);
            this.Offline2.TabIndex = 108;
            this.Offline2.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.DRMode3);
            this.groupBox3.Controls.Add(this.DRMode2);
            this.groupBox3.Controls.Add(this.DRMode1);
            this.groupBox3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox3.Location = new System.Drawing.Point(14, 44);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(124, 84);
            this.groupBox3.TabIndex = 124;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "FGL Driver Modes";
            // 
            // DRMode3
            // 
            this.DRMode3.AutoSize = true;
            this.DRMode3.Location = new System.Drawing.Point(8, 60);
            this.DRMode3.Name = "DRMode3";
            this.DRMode3.Size = new System.Drawing.Size(99, 17);
            this.DRMode3.TabIndex = 2;
            this.DRMode3.Text = "3. Spool-BiDi";
            this.DRMode3.UseVisualStyleBackColor = true;
            // 
            // DRMode2
            // 
            this.DRMode2.AutoSize = true;
            this.DRMode2.Checked = true;
            this.DRMode2.Location = new System.Drawing.Point(8, 38);
            this.DRMode2.Name = "DRMode2";
            this.DRMode2.Size = new System.Drawing.Size(101, 17);
            this.DRMode2.TabIndex = 1;
            this.DRMode2.TabStop = true;
            this.DRMode2.Text = "2. Direct-BiDi";
            this.DRMode2.UseVisualStyleBackColor = true;
            // 
            // DRMode1
            // 
            this.DRMode1.AutoSize = true;
            this.DRMode1.Location = new System.Drawing.Point(8, 17);
            this.DRMode1.Name = "DRMode1";
            this.DRMode1.Size = new System.Drawing.Size(95, 17);
            this.DRMode1.TabIndex = 0;
            this.DRMode1.Text = "1. Spool-Uni";
            this.DRMode1.UseVisualStyleBackColor = true;
            // 
            // FrmSerial
            // 
            this.FrmSerial.Controls.Add(this.BTBox);
            this.FrmSerial.Controls.Add(this.NegotiateBox);
            this.FrmSerial.Controls.Add(this.TxtBits);
            this.FrmSerial.Controls.Add(this.TxtParity);
            this.FrmSerial.Controls.Add(this.TxtBaud);
            this.FrmSerial.Controls.Add(this.LblSer);
            this.FrmSerial.Controls.Add(this.ShpRTS);
            this.FrmSerial.Controls.Add(this.ShpCD);
            this.FrmSerial.Controls.Add(this.ShpRD);
            this.FrmSerial.Controls.Add(this.ShpTD);
            this.FrmSerial.Controls.Add(this.ShpDTR);
            this.FrmSerial.Controls.Add(this.ShpDSR);
            this.FrmSerial.Controls.Add(this.ShpCTS);
            this.FrmSerial.Controls.Add(this.LblRTS);
            this.FrmSerial.Controls.Add(this.LblCD);
            this.FrmSerial.Controls.Add(this.LblRD);
            this.FrmSerial.Controls.Add(this.LblDSR);
            this.FrmSerial.Controls.Add(this.LblDTR);
            this.FrmSerial.Controls.Add(this.LblTD);
            this.FrmSerial.Controls.Add(this.LblCTS);
            this.FrmSerial.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmSerial.Location = new System.Drawing.Point(144, 41);
            this.FrmSerial.Name = "FrmSerial";
            this.FrmSerial.Size = new System.Drawing.Size(300, 87);
            this.FrmSerial.TabIndex = 125;
            this.FrmSerial.TabStop = false;
            this.FrmSerial.Text = "Serial";
            // 
            // BTBox
            // 
            this.BTBox.Controls.Add(this.BTNo);
            this.BTBox.Controls.Add(this.BTYes);
            this.BTBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BTBox.Location = new System.Drawing.Point(9, 50);
            this.BTBox.Name = "BTBox";
            this.BTBox.Size = new System.Drawing.Size(107, 35);
            this.BTBox.TabIndex = 76;
            this.BTBox.TabStop = false;
            this.BTBox.Text = "Bluetooth";
            // 
            // BTNo
            // 
            this.BTNo.AutoSize = true;
            this.BTNo.Checked = true;
            this.BTNo.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BTNo.Location = new System.Drawing.Point(53, 11);
            this.BTNo.Name = "BTNo";
            this.BTNo.Size = new System.Drawing.Size(41, 20);
            this.BTNo.TabIndex = 15;
            this.BTNo.TabStop = true;
            this.BTNo.Text = "No";
            this.BTNo.UseVisualStyleBackColor = true;
            this.BTNo.CheckedChanged += new System.EventHandler(this.BTNo_CheckedChanged);
            // 
            // BTYes
            // 
            this.BTYes.AutoSize = true;
            this.BTYes.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BTYes.Location = new System.Drawing.Point(7, 11);
            this.BTYes.Name = "BTYes";
            this.BTYes.Size = new System.Drawing.Size(44, 20);
            this.BTYes.TabIndex = 14;
            this.BTYes.Text = "Yes";
            this.BTYes.UseVisualStyleBackColor = true;
            this.BTYes.CheckedChanged += new System.EventHandler(this.BTYes_CheckedChanged);
            // 
            // NegotiateBox
            // 
            this.NegotiateBox.Controls.Add(this.AutoNo);
            this.NegotiateBox.Controls.Add(this.AutoYes);
            this.NegotiateBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.NegotiateBox.Location = new System.Drawing.Point(9, 14);
            this.NegotiateBox.Name = "NegotiateBox";
            this.NegotiateBox.Size = new System.Drawing.Size(107, 35);
            this.NegotiateBox.TabIndex = 75;
            this.NegotiateBox.TabStop = false;
            this.NegotiateBox.Text = "Auto-Negotiate";
            // 
            // AutoNo
            // 
            this.AutoNo.AutoSize = true;
            this.AutoNo.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.AutoNo.Location = new System.Drawing.Point(53, 11);
            this.AutoNo.Name = "AutoNo";
            this.AutoNo.Size = new System.Drawing.Size(41, 20);
            this.AutoNo.TabIndex = 15;
            this.AutoNo.Text = "No";
            this.AutoNo.UseVisualStyleBackColor = true;
            // 
            // AutoYes
            // 
            this.AutoYes.AutoSize = true;
            this.AutoYes.Checked = true;
            this.AutoYes.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.AutoYes.Location = new System.Drawing.Point(7, 11);
            this.AutoYes.Name = "AutoYes";
            this.AutoYes.Size = new System.Drawing.Size(44, 20);
            this.AutoYes.TabIndex = 14;
            this.AutoYes.TabStop = true;
            this.AutoYes.Text = "Yes";
            this.AutoYes.UseVisualStyleBackColor = true;
            // 
            // TxtBits
            // 
            this.TxtBits.Enabled = false;
            this.TxtBits.Location = new System.Drawing.Point(255, 24);
            this.TxtBits.Name = "TxtBits";
            this.TxtBits.Size = new System.Drawing.Size(19, 23);
            this.TxtBits.TabIndex = 57;
            // 
            // TxtParity
            // 
            this.TxtParity.Enabled = false;
            this.TxtParity.Location = new System.Drawing.Point(215, 24);
            this.TxtParity.Name = "TxtParity";
            this.TxtParity.Size = new System.Drawing.Size(36, 23);
            this.TxtParity.TabIndex = 56;
            // 
            // TxtBaud
            // 
            this.TxtBaud.Enabled = false;
            this.TxtBaud.Location = new System.Drawing.Point(137, 24);
            this.TxtBaud.Name = "TxtBaud";
            this.TxtBaud.Size = new System.Drawing.Size(74, 23);
            this.TxtBaud.TabIndex = 55;
            // 
            // LblSer
            // 
            this.LblSer.AutoSize = true;
            this.LblSer.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LblSer.Location = new System.Drawing.Point(134, 10);
            this.LblSer.Name = "LblSer";
            this.LblSer.Size = new System.Drawing.Size(141, 13);
            this.LblSer.TabIndex = 54;
            this.LblSer.Text = "Baud            Parity  DB";
            // 
            // ShpRTS
            // 
            this.ShpRTS.BackColor = System.Drawing.Color.Red;
            this.ShpRTS.Font = new System.Drawing.Font("Microsoft Sans Serif", 2.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShpRTS.Location = new System.Drawing.Point(157, 67);
            this.ShpRTS.Name = "ShpRTS";
            this.ShpRTS.ReadOnly = true;
            this.ShpRTS.Size = new System.Drawing.Size(10, 11);
            this.ShpRTS.TabIndex = 53;
            // 
            // ShpCD
            // 
            this.ShpCD.BackColor = System.Drawing.Color.Red;
            this.ShpCD.Font = new System.Drawing.Font("Microsoft Sans Serif", 2.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShpCD.Location = new System.Drawing.Point(275, 67);
            this.ShpCD.Name = "ShpCD";
            this.ShpCD.ReadOnly = true;
            this.ShpCD.Size = new System.Drawing.Size(10, 11);
            this.ShpCD.TabIndex = 52;
            // 
            // ShpRD
            // 
            this.ShpRD.BackColor = System.Drawing.Color.Red;
            this.ShpRD.Font = new System.Drawing.Font("Microsoft Sans Serif", 2.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShpRD.Location = new System.Drawing.Point(242, 67);
            this.ShpRD.Name = "ShpRD";
            this.ShpRD.ReadOnly = true;
            this.ShpRD.Size = new System.Drawing.Size(10, 11);
            this.ShpRD.TabIndex = 51;
            // 
            // ShpTD
            // 
            this.ShpTD.BackColor = System.Drawing.Color.Red;
            this.ShpTD.Font = new System.Drawing.Font("Microsoft Sans Serif", 2.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShpTD.Location = new System.Drawing.Point(201, 67);
            this.ShpTD.Name = "ShpTD";
            this.ShpTD.ReadOnly = true;
            this.ShpTD.Size = new System.Drawing.Size(10, 11);
            this.ShpTD.TabIndex = 50;
            // 
            // ShpDTR
            // 
            this.ShpDTR.BackColor = System.Drawing.Color.Red;
            this.ShpDTR.Font = new System.Drawing.Font("Microsoft Sans Serif", 2.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShpDTR.Location = new System.Drawing.Point(242, 53);
            this.ShpDTR.Name = "ShpDTR";
            this.ShpDTR.ReadOnly = true;
            this.ShpDTR.Size = new System.Drawing.Size(10, 11);
            this.ShpDTR.TabIndex = 49;
            // 
            // ShpDSR
            // 
            this.ShpDSR.BackColor = System.Drawing.Color.Red;
            this.ShpDSR.Font = new System.Drawing.Font("Microsoft Sans Serif", 2.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShpDSR.Location = new System.Drawing.Point(201, 53);
            this.ShpDSR.Name = "ShpDSR";
            this.ShpDSR.ReadOnly = true;
            this.ShpDSR.Size = new System.Drawing.Size(10, 11);
            this.ShpDSR.TabIndex = 48;
            // 
            // ShpCTS
            // 
            this.ShpCTS.BackColor = System.Drawing.Color.Red;
            this.ShpCTS.Font = new System.Drawing.Font("Microsoft Sans Serif", 2.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShpCTS.Location = new System.Drawing.Point(158, 53);
            this.ShpCTS.Name = "ShpCTS";
            this.ShpCTS.ReadOnly = true;
            this.ShpCTS.Size = new System.Drawing.Size(10, 11);
            this.ShpCTS.TabIndex = 47;
            // 
            // LblRTS
            // 
            this.LblRTS.AutoSize = true;
            this.LblRTS.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LblRTS.Location = new System.Drawing.Point(134, 66);
            this.LblRTS.Name = "LblRTS";
            this.LblRTS.Size = new System.Drawing.Size(23, 12);
            this.LblRTS.TabIndex = 46;
            this.LblRTS.Text = "RTS";
            // 
            // LblCD
            // 
            this.LblCD.AutoSize = true;
            this.LblCD.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LblCD.Location = new System.Drawing.Point(256, 66);
            this.LblCD.Name = "LblCD";
            this.LblCD.Size = new System.Drawing.Size(19, 12);
            this.LblCD.TabIndex = 45;
            this.LblCD.Text = "CD";
            // 
            // LblRD
            // 
            this.LblRD.AutoSize = true;
            this.LblRD.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LblRD.Location = new System.Drawing.Point(219, 66);
            this.LblRD.Name = "LblRD";
            this.LblRD.Size = new System.Drawing.Size(19, 12);
            this.LblRD.TabIndex = 44;
            this.LblRD.Text = "RD";
            // 
            // LblDSR
            // 
            this.LblDSR.AutoSize = true;
            this.LblDSR.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LblDSR.Location = new System.Drawing.Point(176, 52);
            this.LblDSR.Name = "LblDSR";
            this.LblDSR.Size = new System.Drawing.Size(25, 12);
            this.LblDSR.TabIndex = 43;
            this.LblDSR.Text = "DSR";
            // 
            // LblDTR
            // 
            this.LblDTR.AutoSize = true;
            this.LblDTR.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LblDTR.Location = new System.Drawing.Point(218, 52);
            this.LblDTR.Name = "LblDTR";
            this.LblDTR.Size = new System.Drawing.Size(24, 12);
            this.LblDTR.TabIndex = 42;
            this.LblDTR.Text = "DTR";
            // 
            // LblTD
            // 
            this.LblTD.AutoSize = true;
            this.LblTD.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LblTD.Location = new System.Drawing.Point(176, 66);
            this.LblTD.Name = "LblTD";
            this.LblTD.Size = new System.Drawing.Size(17, 12);
            this.LblTD.TabIndex = 41;
            this.LblTD.Text = "TD";
            // 
            // LblCTS
            // 
            this.LblCTS.AutoSize = true;
            this.LblCTS.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LblCTS.Location = new System.Drawing.Point(133, 52);
            this.LblCTS.Name = "LblCTS";
            this.LblCTS.Size = new System.Drawing.Size(23, 12);
            this.LblCTS.TabIndex = 40;
            this.LblCTS.Text = "CTS";
            // 
            // FrmRfid
            // 
            this.FrmRfid.Controls.Add(this.label18);
            this.FrmRfid.Controls.Add(this.label19);
            this.FrmRfid.Controls.Add(this.TxtStat);
            this.FrmRfid.Controls.Add(this.RFRead);
            this.FrmRfid.Controls.Add(this.RFWrite);
            this.FrmRfid.Controls.Add(this.TxtStBlk);
            this.FrmRfid.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FrmRfid.Location = new System.Drawing.Point(821, 134);
            this.FrmRfid.Name = "FrmRfid";
            this.FrmRfid.Size = new System.Drawing.Size(90, 140);
            this.FrmRfid.TabIndex = 128;
            this.FrmRfid.TabStop = false;
            this.FrmRfid.Text = "RFID";
            // 
            // label18
            // 
            this.label18.AutoSize = true;
            this.label18.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label18.Location = new System.Drawing.Point(16, 99);
            this.label18.Name = "label18";
            this.label18.Size = new System.Drawing.Size(43, 13);
            this.label18.TabIndex = 22;
            this.label18.Text = "Status";
            // 
            // label19
            // 
            this.label19.AutoSize = true;
            this.label19.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label19.Location = new System.Drawing.Point(16, 37);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(51, 13);
            this.label19.TabIndex = 21;
            this.label19.Text = "Block #";
            // 
            // TxtStat
            // 
            this.TxtStat.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold);
            this.TxtStat.Location = new System.Drawing.Point(7, 113);
            this.TxtStat.Name = "TxtStat";
            this.TxtStat.ReadOnly = true;
            this.TxtStat.Size = new System.Drawing.Size(70, 23);
            this.TxtStat.TabIndex = 20;
            this.TxtStat.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // RFRead
            // 
            this.RFRead.BackColor = System.Drawing.SystemColors.ControlDark;
            this.RFRead.ContextMenuStrip = this.contextMenuHelp;
            this.RFRead.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.RFRead.Location = new System.Drawing.Point(2, 15);
            this.RFRead.Name = "RFRead";
            this.RFRead.Size = new System.Drawing.Size(85, 22);
            this.RFRead.TabIndex = 18;
            this.RFRead.Text = "Read UID";
            this.RFRead.UseVisualStyleBackColor = false;
            this.RFRead.Click += new System.EventHandler(this.RFRead_Click);
            // 
            // RFWrite
            // 
            this.RFWrite.BackColor = System.Drawing.SystemColors.ControlDark;
            this.RFWrite.ContextMenuStrip = this.contextMenuHelp;
            this.RFWrite.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.RFWrite.Location = new System.Drawing.Point(2, 78);
            this.RFWrite.Name = "RFWrite";
            this.RFWrite.Size = new System.Drawing.Size(85, 22);
            this.RFWrite.TabIndex = 17;
            this.RFWrite.Text = "Write/Verify";
            this.RFWrite.UseVisualStyleBackColor = false;
            this.RFWrite.Click += new System.EventHandler(this.RFWrite_Click);
            // 
            // TxtStBlk
            // 
            this.TxtStBlk.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold);
            this.TxtStBlk.Location = new System.Drawing.Point(7, 51);
            this.TxtStBlk.Name = "TxtStBlk";
            this.TxtStBlk.Size = new System.Drawing.Size(70, 23);
            this.TxtStBlk.TabIndex = 16;
            this.TxtStBlk.Text = "5";
            this.TxtStBlk.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // OSText
            // 
            this.OSText.Font = new System.Drawing.Font("Comic Sans MS", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.OSText.Location = new System.Drawing.Point(408, 668);
            this.OSText.Name = "OSText";
            this.OSText.ReadOnly = true;
            this.OSText.Size = new System.Drawing.Size(150, 23);
            this.OSText.TabIndex = 129;
            this.OSText.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            // 
            // CmdCopyToClipboard
            // 
            this.CmdCopyToClipboard.BackColor = System.Drawing.SystemColors.ControlDark;
            this.CmdCopyToClipboard.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.CmdCopyToClipboard.Location = new System.Drawing.Point(483, 258);
            this.CmdCopyToClipboard.Name = "CmdCopyToClipboard";
            this.CmdCopyToClipboard.Size = new System.Drawing.Size(140, 22);
            this.CmdCopyToClipboard.TabIndex = 130;
            this.CmdCopyToClipboard.Text = "Copy Messages";
            this.CmdCopyToClipboard.UseVisualStyleBackColor = false;
            this.CmdCopyToClipboard.Click += new System.EventHandler(this.CmdCopyToClipboard_Click);
            // 
            // FrmBoca
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.Color.LightSteelBlue;
            this.ClientSize = new System.Drawing.Size(939, 736);
            this.Controls.Add(this.CmdCopyToClipboard);
            this.Controls.Add(this.OSText);
            this.Controls.Add(this.FrmRfid);
            this.Controls.Add(this.FrmSerial);
            this.Controls.Add(this.groupBox3);
            this.Controls.Add(this.groupBox2);
            this.Controls.Add(this.groupBox1);
            this.Controls.Add(this.Info2Status);
            this.Controls.Add(this.label13);
            this.Controls.Add(this.number_of_tickets);
            this.Controls.Add(this.label12);
            this.Controls.Add(this.Error);
            this.Controls.Add(this.label11);
            this.Controls.Add(this.Paused);
            this.Controls.Add(this.label10);
            this.Controls.Add(this.MonitorBox);
            this.Controls.Add(this.Printing);
            this.Controls.Add(this.label9);
            this.Controls.Add(this.FrmLinks);
            this.Controls.Add(this.FrmParallel);
            this.Controls.Add(this.FrmMessage);
            this.Controls.Add(this.FrmOperation);
            this.Controls.Add(this.FrmEth);
            this.Controls.Add(this.FrmUSB);
            this.Controls.Add(this.FrmSound);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.TxtStatus);
            this.Controls.Add(this.Txtinterface);
            this.Controls.Add(this.Txtready);
            this.Controls.Add(this.LstInterface);
            this.Controls.Add(this.CmdClear);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.Name = "FrmBoca";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Boca Systems C# Sample Code";
            this.Load += new System.EventHandler(this.FrmBoca_Load);
            this.contextMenuHelp.ResumeLayout(false);
            this.FrmSound.ResumeLayout(false);
            this.FrmSound.PerformLayout();
            this.FrmStatus.ResumeLayout(false);
            this.FrmStatus.PerformLayout();
            this.FrmUSB.ResumeLayout(false);
            this.FrmUSB.PerformLayout();
            this.FrmEth.ResumeLayout(false);
            this.FrmEth.PerformLayout();
            this.FrmOperation.ResumeLayout(false);
            this.FrmMessage.ResumeLayout(false);
            this.FrmParallel.ResumeLayout(false);
            this.FrmLinks.ResumeLayout(false);
            this.FrmLinks.PerformLayout();
            this.MonitorBox.ResumeLayout(false);
            this.MonitorBox.PerformLayout();
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            this.groupBox2.ResumeLayout(false);
            this.groupBox2.PerformLayout();
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            this.FrmSerial.ResumeLayout(false);
            this.FrmSerial.PerformLayout();
            this.BTBox.ResumeLayout(false);
            this.BTBox.PerformLayout();
            this.NegotiateBox.ResumeLayout(false);
            this.NegotiateBox.PerformLayout();
            this.FrmRfid.ResumeLayout(false);
            this.FrmRfid.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.ComboBox LstInterface;
        private System.Windows.Forms.Button CmdClear;
        private System.Windows.Forms.TextBox Txtinterface;
        private System.Windows.Forms.TextBox Txtready;
        private System.Windows.Forms.TextBox TxtStatus;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.GroupBox FrmSound;
        private System.Windows.Forms.RadioButton OptOn;
        private System.Windows.Forms.GroupBox FrmStatus;
        private System.Windows.Forms.RadioButton OptOff;
        private System.Windows.Forms.RadioButton OptNo;
        private System.Windows.Forms.RadioButton OptYes;
        private System.Windows.Forms.GroupBox FrmUSB;
        private System.Windows.Forms.GroupBox FrmEth;
        private System.Windows.Forms.Label lblsn;
        private System.Windows.Forms.TextBox serial_number;
        private System.Windows.Forms.Button CmdScan;
        private System.Windows.Forms.Button CmdStatus;
        private System.Windows.Forms.Button CmdTime;
        private System.Windows.Forms.Button CmdPick;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.TextBox IP_Address;
        private System.Windows.Forms.Button CmdConnect;
        private System.Windows.Forms.Button CmdPing;
        private System.Windows.Forms.GroupBox FrmOperation;
        private System.Windows.Forms.Button CmdOther;
        private System.Windows.Forms.Button CmdTTF;
        private System.Windows.Forms.Button CmdGraph;
        private System.Windows.Forms.Button CmdClrDls;
        private System.Windows.Forms.Button CmdValue;
        private System.Windows.Forms.Button CmdText;
        private System.Windows.Forms.Button CmdPCLTT;
        private System.Windows.Forms.Button CmdFGLTT;
        private System.Windows.Forms.Button CmdPCLFF;
        private System.Windows.Forms.Button CmdFGLFF;
        private System.Windows.Forms.Button CmdPath;
        private System.Windows.Forms.Button CmdRead;
        private System.Windows.Forms.GroupBox FrmMessage;
        private System.Windows.Forms.ListBox lstResult;
        private System.Windows.Forms.ContextMenuStrip contextMenuHelp;
        private System.Windows.Forms.ToolStripMenuItem helpToolStripMenuItem;
        private System.Windows.Forms.GroupBox FrmParallel;
        private System.Windows.Forms.Button Cmd_Logo_Test;
        private GroupBox FrmLinks;
        private LinkLabel LnkBoca1;
        private LinkLabel LnkBoca3;
        private LinkLabel LnkBoca2;
        private TextBox Error;
        private Label label11;
        private TextBox Paused;
        private Label label10;
        private GroupBox MonitorBox;
        public RadioButton MonNo;
        public RadioButton MonYes;
        private TextBox Printing;
        private Label label9;
        private TextBox Offline;
        private Label label8;
        private TextBox Out;
        private Label label7;
        private TextBox Jam;
        private Label label6;
        private Label label5;
        private TextBox Ready;
        private TextBox number_of_tickets;
        private Label label12;
        private TextBox Info2Status;
        private Label label13;
        private GroupBox groupBox1;
        private GroupBox groupBox2;
        private TextBox Jam2;
        private TextBox Ready2;
        private Label label14;
        private Label label15;
        private Label label16;
        private TextBox Out2;
        private Label label17;
        private TextBox Offline2;
        private Button CmdS2;
        private Button CmdS1;
        private Button CmdProperties;
        private Button CmdPDF;
        private GroupBox groupBox3;
        private RadioButton DRMode3;
        private RadioButton DRMode2;
        private RadioButton DRMode1;
        private GroupBox FrmSerial;
        private GroupBox BTBox;
        public RadioButton BTNo;
        public RadioButton BTYes;
        private GroupBox NegotiateBox;
        public RadioButton AutoNo;
        public RadioButton AutoYes;
        private TextBox TxtBits;
        private TextBox TxtParity;
        private TextBox TxtBaud;
        private Label LblSer;
        private TextBox ShpRTS;
        private TextBox ShpCD;
        private TextBox ShpRD;
        private TextBox ShpTD;
        private TextBox ShpDTR;
        private TextBox ShpDSR;
        private TextBox ShpCTS;
        private Label LblRTS;
        private Label LblCD;
        private Label LblRD;
        private Label LblDSR;
        private Label LblDTR;
        private Label LblTD;
        private Label LblCTS;
        private GroupBox FrmRfid;
        private Label label18;
        private Label label19;
        private TextBox TxtStat;
        private Button RFRead;
        private Button RFWrite;
        private TextBox TxtStBlk;
        private TextBox OSText;
        private Button CmdCopyToClipboard;
    }
}

